Table of Contents

Class: query_atom | ../bkchem/oasa/oasa/query_atom.py
--- | ---
Base Classes |
--- | ---
chem_vertex
Methods |
--- | ---
__init__ __str__ is_query_definition matches parse_query_definition
| __init__
    __init__ ( self,  coords=None )
| __str__
    __str__ ( self )
| is_query_definition
    is_query_definition ( self,  text )
| matches
    matches ( self,  other )
| parse_query_definition
    parse_query_definition ( self,  text )
Exceptions |
--- | ---
oasa_invalid_atom_symbol( "invalid symbol in query definition", sym ) oasa_invalid_atom_symbol( "not valid query definition", text )

Table of Contents

This document was automatically generated on Tue Dec 12 13:46:43 2006 by HappyDoc version 2.1